use ExtUtils::MakeMaker;

# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.

WriteMakefile
(
	($] ge '5.005') ?
	(
		'AUTHOR' => 'Ron Savage (ron@savage.net.au)',
		'ABSTRACT' => 'A module to read TreePad XML files',
    ) : (),
	clean			=>
	{
		FILES		=> 'blib/* Makefile MANIFEST Local-TreePad-*'
	},
	dist			=>
	{
		COMPRESS	=> 'gzip',
		SUFFIX		=> 'gz'
	},
	DISTNAME		=> 'Local-TreePad',
	NAME			=> 'Local::TreePad',
	PL_FILES		=> {},
	PREREQ_PM		=>
	{
		Carp					=> 0,
		HTML::Template			=> 0,
		XML::SAX::Base			=> 0,
		XML::SAX::ParserFactory	=> 0,
		Test::More				=> 0,
		Test::Pod				=> 0,
	},
	VERSION_FROM	=> 'lib/Local/TreePad.pm',
);
